Foreman - Bug #27528

New input in report template does not allow user to choose Resource Type
08/06/2019 02:24 PM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Reporting
Target version:
Difficulty: Fixed in Releases: 1.22.1,1.23.0
Triaged: No Found in Releases:
Bugzilla link: 1728676 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6955
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1728676

Description of problem:
When you create or edit Report Template, there is no Resource type in new input (inputs tab), when value type is selected to search.
Resource type is shown only after user action, for example submit.

Version-Release number of selected component (if applicable):
This was found on sat 6.6 snap 7.

How reproducible:
Always

Steps to Reproduce:

1. Create or Edit Report Template

2. Open Inputs tab, click on Add input,

3. Change Value Type from Plain to Search

Actual results:
After value type is equal to Search, there is no line with Resource Type to choose.
When steps are done and user make an action (for example user submits Report Template), then resource type is visible.

Expected results:
Resource type should be visible immediately after value type is set to search.

Related issues:
Related to Foreman - Bug #27662: New template input has Resource Type visible... Closed

Associated revisions

Revision 040d58ff - 08/07/2019 09:39 AM - Ondfej Ezr
Fixes #27528 - reporting template input search type

History

#1 - 08/06/2019 02:49 PM - Ondrej Ezr
- Category changed from Statistics to Reporting

#2 - 08/06/2019 02:52 PM - Ondfej Ezr

- Subject changed from new input in report template, where value type is equal to search should allow user to choose Resource Type to New input in
report template does not allow user to choose Resource Type

#3 - 08/06/2019 02:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ondrej Ezr
https://bugzilla.redhat.com/show_bug.cgi?id=1728676

- Pull request https://github.com/theforeman/foreman/pull/6955 added

#4 - 08/07/2019 09:39 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#5 - 08/07/2019 09:41 AM - Tomer Brisker
- Fixed in Releases 1.22.1, 1.23.0 added
- Fixed in Releases deleted (1.24.0)

#6 - 08/07/2019 10:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset 040d58f{8293b29e717fcf2412364054fd1d5b45.

#7 - 08/20/2019 01:14 AM - Ondfej Ezr
- Related to Bug #27662: New template input has Resource Type visible even it's input type is not using this value. added
